/* LameTeX.C
 *
 * A LaTeX compatible text formatter that can handle arbitrary-shaped margins
 * described in PostScript.
 *
 * Copyright 1992 Jonathan Monsarrat. Permission given to freely distribute,
 * edit and use as long as this copyright statement remains intact.
 *
 * PreVersion 1.0 begun 7/28/92
 * Version 1.0 8/31/92 -- major LaTeX features, stealth commands, fonts
 * Version 1.1 9/7/92 -- added \ref and ASCII formatting
 */

#include "Global.h"

FileInput *Global::files;
Stack *Global::stack;
Labels *Global::labels;

/* The main entry point to LameTeX. */
main(int argc, char *argv[])
{
   cerr << "This is LameTeX, C++ Version 1.1" << endl;
   Global::files = new FileInput(argc,argv);
   Global::stack = new Stack();
   Global::labels = new Labels();

   for(Token token = Token(); token.isvalid(); token = Token())
      token.handle();

   Global::stack->shutdown();
}
